@font-face {
    font-family: gsans;
    src: url(fonts/GeneralSans-Medium.otf);
}
@keyframes scroll {
    from{
        transform: translateX(5%);
    }
    to{
        transform: translateX(-140%);
    }
}
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html , body{
    height: 100%;
    width: 100%;
    font-family: 'gsans', sans-serif;
}
.cursor{
    transition: all cubic-bezier(0.19, 1, 0.22, 1) 1s;
    width: 15px;
    height: 15px;
    position: absolute;
    z-index: 99999;
    border-radius: 50%;
    background-color: #fff;
}
.main{
    width: 100%;
    background-color: #000;
}
.hero{
    width: 100%;
    height: 100vh;
    background-color: black;
    color: #fff;
    padding: 30px 50px 0 50px;
    position: relative;
}
.nav{
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #fff;
}
.nav a{
    text-decoration: none;
    color: #fff;
    font-size: 20px;
    transition: scale 0.3s ease;
}
.nav a:hover{
    scale: 0.9;
}
.nav h4{
    font-size: 17px;
    font-weight: 400;
    position: relative;
    cursor: pointer;
}
.nav h4::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    border-bottom: 2px solid #fff;
    transform: scale(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}
.nav h4:hover::before{
    transform: scale(1);
}
.nav h4 > span{
    color: #BFBFBF;
}
.heading{
    padding: 30px 0;
}
.heading h1{
    opacity: 0.6;
    font-size: 10vw;
    text-transform: uppercase;
    font-weight: 400;
    line-height: 0.9;
}
.blocktext{
    width: fit-content;
    margin-left: 160px;
}
.blocktext h5{
    font-size: 17px;
    text-transform: uppercase;
    font-weight: 400;
    text-align: right;
    margin-top: 10px;
}
.small-heading{
    margin-top: 110px;
    text-align: right;
}
.small-heading h4{
    text-transform: uppercase;
    font-size: 17px;
    font-weight: 400;
}
.hero-footer{
    display: flex;
    justify-content: space-between;
    /* background-color: red; */
    margin-top: 40px;
}
.hero-footer a{
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    position: relative;
}
.hero-footer a:nth-child(1)::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 100%;
    border-bottom: 2px solid #fff;
    transform: scale(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}
.hero-footer a:nth-child(1):hover::before{
    transform: scale(1);
}
.hero-footer a i{
    margin-left: 15px;
    font-size: 18px;
    display: inline-block;
    transition: transform 0.3s ease;
}
.hero-footer a:hover i{
    transform: rotate(45deg);
}
.hero-footer a:nth-child(2)::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: 14px;
    width: 100%;
    border-bottom: 2px solid #fff;
    transform: scale(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}
.hero-footer a:nth-child(2):hover::before{
    transform: scale(1);
}
.icon{
    display: flex;
    gap: 5px;
}
.icon .circle{
    width: 26px;
    height: 26px;
    border-radius: 50%;
    background-color: #bfbfbff5;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}
.circle i{
    color: #000;
    font-size: 19px;
    transition: transform 0.3s ease;
}
.circle:hover i {
    transform: rotate(180deg);
}
.second{
    width: 100%;
    min-height: 100vh;
    background-color: #000;
    padding: 150px 10vw 220px 50px;

}
.elem{
    position: relative;
    width: 100%;
    border-top: 1px solid #888;
    padding: 3vw 0;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
}
.elem:nth-child(5){
    border-bottom: 1px solid #888;
}
.elem h1{
    opacity: 0.6;
    font-size: 6.7vw;
    text-transform: uppercase;
    font-weight: 400;
    transition: all 0.7s ease;
}
.elem:hover h1{
    margin-left: 50px;
    opacity: 0.2;
}
.elem h3{
    color: #fff;
    font-size: 16px;
    font-weight: 400;
}
.elem img{
    opacity: 0;
    pointer-events: none;
    width: 350px;
    height: 350px;
    object-fit: cover;
    z-index: 999;
    position: absolute;
    transform: translate(-50%, -50%);
    border-radius: 10px;
}
.second button{
    padding: 7px 27px;
    margin-top: 50px;
    font-size: 17px;
    background-color: transparent;
    color: #fff;
    border: 1px solid #fff;
    border-radius: 50px;
    position: relative;
    cursor: pointer;
    transition: all 0.7s ease;
}
.second button:hover{
    background-color: #fff;
    color: #000;
}
.second button sup{
    position: absolute;
    top: 8px;
    color: #888;
    font-size: 13px;
    margin-left: 2px;
}
.scroller{
    width: 100%;
    background-color: #000;
    padding: 3.2vw 0;
    overflow: hidden;
    border-top: 2px solid #888;
    border-bottom: 2px solid #888;
}
.scroller::-webkit-scrollbar{
    display: none;
}
.scroller-in{
    display: flex;
    align-items: center;
    gap: 130px;
    animation: scroll 18s linear infinite;
    transition: all 0.4s ease;
}
.scroller-in img{
    height: 63px;
} 
.scroller-in:hover{
    animation-play-state: paused;
} 
.about-us{
    width: 100%;
    min-height: 100vh;
    background-color: #000;
    position: relative;
    display: flex;
    gap: 80px;
    color: #fff;
    padding: 240px 60px 180px 555px;
}
.about-us img{
    width: 250px;
    height: 250px;
    border-radius: 50%;
    object-fit: cover;
}
.about-us .aright{
    width: 465px;
}
.about-us .aright h3{
    font-size: 15px;
    font-weight: 400;
    text-transform: uppercase;
    color: #BFBFBF;
}
.about-us .aright h5{
    font-size: 18px;
    line-height: 1.5;
    font-weight: 100;
    margin-top: 10px;
}
.aright button{
    padding: 7px 20px;
    margin-top: 30px;
    font-size: 16px;
    background-color: transparent;
    color: white;
    border: 1px solid #fff;
    border-radius: 50px;
    cursor: pointer;
    transition: all 0.8s ease-out;
}
.aright button:hover{
    background-color: #fff;
    color: #000;
}
.subscribe{
    color: #fff;
    padding-left: 50px;
}
.subscribe h4{
    font-size: 15px;
    opacity: 0.6;
    text-transform: uppercase;
    font-weight: 100;
}
.subscribe a{
    cursor: pointer;
    position: relative;
    color: #fff;
    text-decoration: none;
}
.subscribe a::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -3px;
    width: 100%;
    border-bottom: 2px solid #fff;
    transform: scale(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}
.subscribe a:hover::before{
    transform: scale(1);
}
.subscribe a i{
    font-size: 18px;
    margin-left: 5px;
    display: inline-block;
    transition: transform 0.3s ease;
}
.subscribe a:hover i{
    transform: rotate(45deg);
}
.footer{
    width: 100%;
    height: 28vh;
    padding: 40px 50px 30px 50px;
    color: #fff;
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
}
.footer h3{
    font-size: 17px;
    font-weight: 400;
    text-transform: uppercase;
}
.footer .fleft{
    display: flex;
    gap: 30px;
}
.footer .fright{
    display: flex;
    gap: 40px;
}
.footer .fright a{
    cursor: pointer;
    position: relative;
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
}
.footer .fright a::before{
    content: "";
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 100%;
    border-bottom: 2.5px solid #fff;
    transform: scale(0);
    transform-origin: left;
    transition: transform 0.3s ease;
}
.footer .fright a:hover:before{
    transform: scale(1);
}